Cyberduck Mountain Duck CLI

#5138 closed defect (worksforme)

updating cyberduck caused dead duck

Reported by: ducks8mymac Owned by: dkocher
Priority: high Milestone: 3.7
Component: ftp-tls Version: 3.6
Severity: major Keywords: hangs, crashes, invisible files, listing, directory, updating, reinstall
Cc: Architecture: Intel
Platform: Mac OS X 10.5

Description

I updated to v3.6 (6890) tonight. Woe is me.

First it complains every time I do anything - security warnings. It never did this before. Fine.

But it times out trying to list the directory when I am attempting to upload files. I've tried quitting and relaunching, and restarting my imac (osx 10.5.8)

I gave up and uninstalled cyberduck.. then found my original download version 2.8.4 and installed it. But a) it still had all the preferences there and b) now it connects to my site but shows ZERO files!!!

Thankfully the files are still there, but cyberduck is a lame duck right now because it can't see the files or upload anything. I uninstalled again but I don't know how to delete all the hidden files.

Please... a little help?!?

Change History (13)

comment:1 in reply to: ↑ description Changed on Sep 7, 2010 at 10:30:48 AM by dkocher

Replying to ducks8mymac:

First it complains every time I do anything - security warnings. It never did this before. Fine.

Turned off connection warning by default in r6895. Only show warning if it is possible to change to FTP-TLS.

comment:2 in reply to: ↑ description Changed on Sep 7, 2010 at 10:31:57 AM by dkocher

  • Milestone set to 3.6.1
  • Resolution set to worksforme
  • Status changed from new to closed

Replying to ducks8mymac:

But it times out trying to list the directory when I am attempting to upload files. I've tried quitting and relaunching, and restarting my imac (osx 10.5.8)

Post the transcript from the log drawer. Try to change the connect mode.

comment:3 follow-up: Changed on Sep 8, 2010 at 12:00:34 AM by ducks8mymac

  • Resolution worksforme deleted
  • Status changed from closed to reopened

I changed the connect mode to every option there was. I tried everything there was to try. I don't want to reinstall it without someone telling me how to be sure all the hidden files are gone. I looked using Houdini but I don't know everywhere it puts them or what they all might be called.

I can't post a transcript when I have uninstalled it.

Now it won't run either version properly.

By setting this comment to closed it means I won't get an actual answer. It can't even list anything in the directory now... it can't upload, download or do anything. That ALL began when I updated, it worked FINE before that.

comment:4 in reply to: ↑ 3 Changed on Sep 8, 2010 at 11:36:40 AM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

Replying to ducks8mymac:

I changed the connect mode to every option there was. I tried everything there was to try. I don't want to reinstall it without someone telling me how to be sure all the hidden files are gone. I looked using Houdini but I don't know everywhere it puts them or what they all might be called.

I can't post a transcript when I have uninstalled it.

Now it won't run either version properly.

By setting this comment to closed it means I won't get an actual answer. It can't even list anything in the directory now... it can't upload, download or do anything. That ALL began when I updated, it worked FINE before that.

You are now running 2.8.4? Please update to 3.6.1 and try again.

comment:5 follow-up: Changed on Sep 22, 2010 at 4:07:32 AM by ducks8mymac

  • Resolution worksforme deleted
  • Status changed from closed to reopened

I did reinstall and guess what? It STILL CANNOT UPLOAD ANYTHING.

It can now see files again but when I attempt an upload it doesn't complete the listing phase. It hangs there... and then gives an error.

It might "workforyou" but it is broken for me. Neither version works on my mac now.

It is completely broken. Can anyone PLEASE tell me how to get the hidden bits off my mac? I tried Houdini but when I reinstalled cyberduck it still had info about my passwords etc... so somewhere there is a file or so that needs removing.

I used to love this program...

comment:6 in reply to: ↑ 5 Changed on Oct 5, 2010 at 11:38:05 AM by dkocher

  • Component changed from core to ftp-tls
  • Milestone changed from 3.6.1 to 3.6.2
  • Resolution set to duplicate
  • Status changed from reopened to closed

Replying to ducks8mymac:

Duplicate for #5168. Please switch back the protocol in the bookmark setting to FTP without TLS.

comment:7 follow-up: Changed on Oct 12, 2010 at 1:55:28 AM by ducks8mymac

  • Resolution duplicate deleted
  • Severity changed from normal to major
  • Status changed from closed to reopened

Nope, sorry - it's still broken. I'm only posting this as a courtesy at this point because I have to go buy fetch so I can actually do my work properly.

It hangs when it is trying to transfer a file.It eventually disconnects. It says it is getting permissions for the file then... nothing. It sits there and sits there until it gags and dies.

I am unable to upload anything with it. I've tried everything you have suggested and it is still dead. The protocol you mentioned was never set to anything with TLS. It's always been FTP without TLS.

You can fix it or not, your issue now. I can't wait any longer. Hope you do eventually fix it as it was a great program.

best of luck for a better duck than this one

comment:8 follow-ups: Changed on Oct 12, 2010 at 6:58:13 AM by https://www.google.com/accounts/o8/id?id=aitoawlfvjteez-nzlgurbt2nrmrrwcklqluefk

Don't buy anything: get FileZilla at http://filezilla-project.org/

I had to switch after my bookmarks got Lock Icons on them and quit working ....

I'll tell you where to look for those hidden files ....

home/Library/Application Support/Cyberduck

root/Library/Application Support/Cyberduck

home/Library/Preferences/ch.sudo.cyberduck.plist

delete that folder and that .plist, and then empty the trash. Reinstall and set new bookmarks. But Don't Click on "Don't Show Again" or it'll screw up your bookmarks again.

Last edited on Oct 12, 2010 at 7:00:15 AM by https://www.google.com/accounts/o8/id?id=aitoawlfvjteez-nzlgurbt2nrmrrwcklqluefk (previous) (diff)

comment:9 Changed on Oct 12, 2010 at 10:07:37 AM by dkocher

See also #5237.

comment:10 in reply to: ↑ 7 Changed on Oct 12, 2010 at 10:08:37 AM by dkocher

Replying to ducks8mymac:

Check your protocol setting for the bookmark. Change it back to FTP (File Transfer Protocol).

comment:11 Changed on Oct 12, 2010 at 10:08:55 AM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

comment:12 in reply to: ↑ 8 Changed on Oct 12, 2010 at 10:26:10 AM by dkocher

Replying to https://www.google.com/accounts/o8/id?id=aitoawlfvjteez-nzlgurbt2nrmrrwcklqluefk:

To completly disable this feature set the hidden configuration option

defaults write ch.sudo.cyberduck connection.unsecure.switch false

comment:13 in reply to: ↑ 8 Changed on Oct 12, 2010 at 10:27:20 AM by dkocher

Note: See TracTickets for help on using tickets.
swiss made software